# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.coordinate import Coordinate  # noqa: F401,E501
from swagger_server.models.coordinate_sequence import CoordinateSequence  # noqa: F401,E501
from swagger_server.models.envelope import Envelope  # noqa: F401,E501
from swagger_server.models.geometry import Geometry  # noqa: F401,E501
from swagger_server.models.geometry_factory import GeometryFactory  # noqa: F401,E501
from swagger_server.models.point import Point  # noqa: F401,E501
from swagger_server.models.precision_model import PrecisionModel  # noqa: F401,E501
from swagger_server import util


class Point(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, envelope: Geometry=None, factory: GeometryFactory=None, user_data: object=None, coordinates: List[Coordinate]=None, empty: bool=None, dimension: int=None, coordinate_sequence: CoordinateSequence=None, geometry_type: str=None, coordinate: Coordinate=None, num_points: int=None, simple: bool=None, boundary: Geometry=None, boundary_dimension: int=None, x: float=None, y: float=None, length: float=None, valid: bool=None, srid: int=None, num_geometries: int=None, precision_model: PrecisionModel=None, rectangle: bool=None, area: float=None, centroid: Point=None, interior_point: Point=None, envelope_internal: Envelope=None):  # noqa: E501
        """Point - a model defined in Swagger

        :param envelope: The envelope of this Point.  # noqa: E501
        :type envelope: Geometry
        :param factory: The factory of this Point.  # noqa: E501
        :type factory: GeometryFactory
        :param user_data: The user_data of this Point.  # noqa: E501
        :type user_data: object
        :param coordinates: The coordinates of this Point.  # noqa: E501
        :type coordinates: List[Coordinate]
        :param empty: The empty of this Point.  # noqa: E501
        :type empty: bool
        :param dimension: The dimension of this Point.  # noqa: E501
        :type dimension: int
        :param coordinate_sequence: The coordinate_sequence of this Point.  # noqa: E501
        :type coordinate_sequence: CoordinateSequence
        :param geometry_type: The geometry_type of this Point.  # noqa: E501
        :type geometry_type: str
        :param coordinate: The coordinate of this Point.  # noqa: E501
        :type coordinate: Coordinate
        :param num_points: The num_points of this Point.  # noqa: E501
        :type num_points: int
        :param simple: The simple of this Point.  # noqa: E501
        :type simple: bool
        :param boundary: The boundary of this Point.  # noqa: E501
        :type boundary: Geometry
        :param boundary_dimension: The boundary_dimension of this Point.  # noqa: E501
        :type boundary_dimension: int
        :param x: The x of this Point.  # noqa: E501
        :type x: float
        :param y: The y of this Point.  # noqa: E501
        :type y: float
        :param length: The length of this Point.  # noqa: E501
        :type length: float
        :param valid: The valid of this Point.  # noqa: E501
        :type valid: bool
        :param srid: The srid of this Point.  # noqa: E501
        :type srid: int
        :param num_geometries: The num_geometries of this Point.  # noqa: E501
        :type num_geometries: int
        :param precision_model: The precision_model of this Point.  # noqa: E501
        :type precision_model: PrecisionModel
        :param rectangle: The rectangle of this Point.  # noqa: E501
        :type rectangle: bool
        :param area: The area of this Point.  # noqa: E501
        :type area: float
        :param centroid: The centroid of this Point.  # noqa: E501
        :type centroid: Point
        :param interior_point: The interior_point of this Point.  # noqa: E501
        :type interior_point: Point
        :param envelope_internal: The envelope_internal of this Point.  # noqa: E501
        :type envelope_internal: Envelope
        """
        self.swagger_types = {
            'envelope': Geometry,
            'factory': GeometryFactory,
            'user_data': object,
            'coordinates': List[Coordinate],
            'empty': bool,
            'dimension': int,
            'coordinate_sequence': CoordinateSequence,
            'geometry_type': str,
            'coordinate': Coordinate,
            'num_points': int,
            'simple': bool,
            'boundary': Geometry,
            'boundary_dimension': int,
            'x': float,
            'y': float,
            'length': float,
            'valid': bool,
            'srid': int,
            'num_geometries': int,
            'precision_model': PrecisionModel,
            'rectangle': bool,
            'area': float,
            'centroid': Point,
            'interior_point': Point,
            'envelope_internal': Envelope
        }

        self.attribute_map = {
            'envelope': 'envelope',
            'factory': 'factory',
            'user_data': 'userData',
            'coordinates': 'coordinates',
            'empty': 'empty',
            'dimension': 'dimension',
            'coordinate_sequence': 'coordinateSequence',
            'geometry_type': 'geometryType',
            'coordinate': 'coordinate',
            'num_points': 'numPoints',
            'simple': 'simple',
            'boundary': 'boundary',
            'boundary_dimension': 'boundaryDimension',
            'x': 'x',
            'y': 'y',
            'length': 'length',
            'valid': 'valid',
            'srid': 'srid',
            'num_geometries': 'numGeometries',
            'precision_model': 'precisionModel',
            'rectangle': 'rectangle',
            'area': 'area',
            'centroid': 'centroid',
            'interior_point': 'interiorPoint',
            'envelope_internal': 'envelopeInternal'
        }
        self._envelope = envelope
        self._factory = factory
        self._user_data = user_data
        self._coordinates = coordinates
        self._empty = empty
        self._dimension = dimension
        self._coordinate_sequence = coordinate_sequence
        self._geometry_type = geometry_type
        self._coordinate = coordinate
        self._num_points = num_points
        self._simple = simple
        self._boundary = boundary
        self._boundary_dimension = boundary_dimension
        self._x = x
        self._y = y
        self._length = length
        self._valid = valid
        self._srid = srid
        self._num_geometries = num_geometries
        self._precision_model = precision_model
        self._rectangle = rectangle
        self._area = area
        self._centroid = centroid
        self._interior_point = interior_point
        self._envelope_internal = envelope_internal

    @classmethod
    def from_dict(cls, dikt) -> 'Point':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The Point of this Point.  # noqa: E501
        :rtype: Point
        """
        return util.deserialize_model(dikt, cls)

    @property
    def envelope(self) -> Geometry:
        """Gets the envelope of this Point.


        :return: The envelope of this Point.
        :rtype: Geometry
        """
        return self._envelope

    @envelope.setter
    def envelope(self, envelope: Geometry):
        """Sets the envelope of this Point.


        :param envelope: The envelope of this Point.
        :type envelope: Geometry
        """

        self._envelope = envelope

    @property
    def factory(self) -> GeometryFactory:
        """Gets the factory of this Point.


        :return: The factory of this Point.
        :rtype: GeometryFactory
        """
        return self._factory

    @factory.setter
    def factory(self, factory: GeometryFactory):
        """Sets the factory of this Point.


        :param factory: The factory of this Point.
        :type factory: GeometryFactory
        """

        self._factory = factory

    @property
    def user_data(self) -> object:
        """Gets the user_data of this Point.


        :return: The user_data of this Point.
        :rtype: object
        """
        return self._user_data

    @user_data.setter
    def user_data(self, user_data: object):
        """Sets the user_data of this Point.


        :param user_data: The user_data of this Point.
        :type user_data: object
        """

        self._user_data = user_data

    @property
    def coordinates(self) -> List[Coordinate]:
        """Gets the coordinates of this Point.


        :return: The coordinates of this Point.
        :rtype: List[Coordinate]
        """
        return self._coordinates

    @coordinates.setter
    def coordinates(self, coordinates: List[Coordinate]):
        """Sets the coordinates of this Point.


        :param coordinates: The coordinates of this Point.
        :type coordinates: List[Coordinate]
        """

        self._coordinates = coordinates

    @property
    def empty(self) -> bool:
        """Gets the empty of this Point.


        :return: The empty of this Point.
        :rtype: bool
        """
        return self._empty

    @empty.setter
    def empty(self, empty: bool):
        """Sets the empty of this Point.


        :param empty: The empty of this Point.
        :type empty: bool
        """

        self._empty = empty

    @property
    def dimension(self) -> int:
        """Gets the dimension of this Point.


        :return: The dimension of this Point.
        :rtype: int
        """
        return self._dimension

    @dimension.setter
    def dimension(self, dimension: int):
        """Sets the dimension of this Point.


        :param dimension: The dimension of this Point.
        :type dimension: int
        """

        self._dimension = dimension

    @property
    def coordinate_sequence(self) -> CoordinateSequence:
        """Gets the coordinate_sequence of this Point.


        :return: The coordinate_sequence of this Point.
        :rtype: CoordinateSequence
        """
        return self._coordinate_sequence

    @coordinate_sequence.setter
    def coordinate_sequence(self, coordinate_sequence: CoordinateSequence):
        """Sets the coordinate_sequence of this Point.


        :param coordinate_sequence: The coordinate_sequence of this Point.
        :type coordinate_sequence: CoordinateSequence
        """

        self._coordinate_sequence = coordinate_sequence

    @property
    def geometry_type(self) -> str:
        """Gets the geometry_type of this Point.


        :return: The geometry_type of this Point.
        :rtype: str
        """
        return self._geometry_type

    @geometry_type.setter
    def geometry_type(self, geometry_type: str):
        """Sets the geometry_type of this Point.


        :param geometry_type: The geometry_type of this Point.
        :type geometry_type: str
        """

        self._geometry_type = geometry_type

    @property
    def coordinate(self) -> Coordinate:
        """Gets the coordinate of this Point.


        :return: The coordinate of this Point.
        :rtype: Coordinate
        """
        return self._coordinate

    @coordinate.setter
    def coordinate(self, coordinate: Coordinate):
        """Sets the coordinate of this Point.


        :param coordinate: The coordinate of this Point.
        :type coordinate: Coordinate
        """

        self._coordinate = coordinate

    @property
    def num_points(self) -> int:
        """Gets the num_points of this Point.


        :return: The num_points of this Point.
        :rtype: int
        """
        return self._num_points

    @num_points.setter
    def num_points(self, num_points: int):
        """Sets the num_points of this Point.


        :param num_points: The num_points of this Point.
        :type num_points: int
        """

        self._num_points = num_points

    @property
    def simple(self) -> bool:
        """Gets the simple of this Point.


        :return: The simple of this Point.
        :rtype: bool
        """
        return self._simple

    @simple.setter
    def simple(self, simple: bool):
        """Sets the simple of this Point.


        :param simple: The simple of this Point.
        :type simple: bool
        """

        self._simple = simple

    @property
    def boundary(self) -> Geometry:
        """Gets the boundary of this Point.


        :return: The boundary of this Point.
        :rtype: Geometry
        """
        return self._boundary

    @boundary.setter
    def boundary(self, boundary: Geometry):
        """Sets the boundary of this Point.


        :param boundary: The boundary of this Point.
        :type boundary: Geometry
        """

        self._boundary = boundary

    @property
    def boundary_dimension(self) -> int:
        """Gets the boundary_dimension of this Point.


        :return: The boundary_dimension of this Point.
        :rtype: int
        """
        return self._boundary_dimension

    @boundary_dimension.setter
    def boundary_dimension(self, boundary_dimension: int):
        """Sets the boundary_dimension of this Point.


        :param boundary_dimension: The boundary_dimension of this Point.
        :type boundary_dimension: int
        """

        self._boundary_dimension = boundary_dimension

    @property
    def x(self) -> float:
        """Gets the x of this Point.


        :return: The x of this Point.
        :rtype: float
        """
        return self._x

    @x.setter
    def x(self, x: float):
        """Sets the x of this Point.


        :param x: The x of this Point.
        :type x: float
        """

        self._x = x

    @property
    def y(self) -> float:
        """Gets the y of this Point.


        :return: The y of this Point.
        :rtype: float
        """
        return self._y

    @y.setter
    def y(self, y: float):
        """Sets the y of this Point.


        :param y: The y of this Point.
        :type y: float
        """

        self._y = y

    @property
    def length(self) -> float:
        """Gets the length of this Point.


        :return: The length of this Point.
        :rtype: float
        """
        return self._length

    @length.setter
    def length(self, length: float):
        """Sets the length of this Point.


        :param length: The length of this Point.
        :type length: float
        """

        self._length = length

    @property
    def valid(self) -> bool:
        """Gets the valid of this Point.


        :return: The valid of this Point.
        :rtype: bool
        """
        return self._valid

    @valid.setter
    def valid(self, valid: bool):
        """Sets the valid of this Point.


        :param valid: The valid of this Point.
        :type valid: bool
        """

        self._valid = valid

    @property
    def srid(self) -> int:
        """Gets the srid of this Point.


        :return: The srid of this Point.
        :rtype: int
        """
        return self._srid

    @srid.setter
    def srid(self, srid: int):
        """Sets the srid of this Point.


        :param srid: The srid of this Point.
        :type srid: int
        """

        self._srid = srid

    @property
    def num_geometries(self) -> int:
        """Gets the num_geometries of this Point.


        :return: The num_geometries of this Point.
        :rtype: int
        """
        return self._num_geometries

    @num_geometries.setter
    def num_geometries(self, num_geometries: int):
        """Sets the num_geometries of this Point.


        :param num_geometries: The num_geometries of this Point.
        :type num_geometries: int
        """

        self._num_geometries = num_geometries

    @property
    def precision_model(self) -> PrecisionModel:
        """Gets the precision_model of this Point.


        :return: The precision_model of this Point.
        :rtype: PrecisionModel
        """
        return self._precision_model

    @precision_model.setter
    def precision_model(self, precision_model: PrecisionModel):
        """Sets the precision_model of this Point.


        :param precision_model: The precision_model of this Point.
        :type precision_model: PrecisionModel
        """

        self._precision_model = precision_model

    @property
    def rectangle(self) -> bool:
        """Gets the rectangle of this Point.


        :return: The rectangle of this Point.
        :rtype: bool
        """
        return self._rectangle

    @rectangle.setter
    def rectangle(self, rectangle: bool):
        """Sets the rectangle of this Point.


        :param rectangle: The rectangle of this Point.
        :type rectangle: bool
        """

        self._rectangle = rectangle

    @property
    def area(self) -> float:
        """Gets the area of this Point.


        :return: The area of this Point.
        :rtype: float
        """
        return self._area

    @area.setter
    def area(self, area: float):
        """Sets the area of this Point.


        :param area: The area of this Point.
        :type area: float
        """

        self._area = area

    @property
    def centroid(self) -> Point:
        """Gets the centroid of this Point.


        :return: The centroid of this Point.
        :rtype: Point
        """
        return self._centroid

    @centroid.setter
    def centroid(self, centroid: Point):
        """Sets the centroid of this Point.


        :param centroid: The centroid of this Point.
        :type centroid: Point
        """

        self._centroid = centroid

    @property
    def interior_point(self) -> Point:
        """Gets the interior_point of this Point.


        :return: The interior_point of this Point.
        :rtype: Point
        """
        return self._interior_point

    @interior_point.setter
    def interior_point(self, interior_point: Point):
        """Sets the interior_point of this Point.


        :param interior_point: The interior_point of this Point.
        :type interior_point: Point
        """

        self._interior_point = interior_point

    @property
    def envelope_internal(self) -> Envelope:
        """Gets the envelope_internal of this Point.


        :return: The envelope_internal of this Point.
        :rtype: Envelope
        """
        return self._envelope_internal

    @envelope_internal.setter
    def envelope_internal(self, envelope_internal: Envelope):
        """Sets the envelope_internal of this Point.


        :param envelope_internal: The envelope_internal of this Point.
        :type envelope_internal: Envelope
        """

        self._envelope_internal = envelope_internal
